<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [spendHashes](./bitburner.hacknet.spendhashes.md)

## Hacknet.spendHashes() method

Purchase a hash upgrade.

**Signature:**

```typescript
spendHashes(upgName: HacknetServerHashUpgrade, upgTarget?: string, count?: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

upgName


</td><td>

[HacknetServerHashUpgrade](./bitburner.hacknetserverhashupgrade.md)


</td><td>

Name of the upgrade using hash of Hacknet Server.


</td></tr>
<tr><td>

upgTarget


</td><td>

string


</td><td>

_(Optional)_ Object to which upgrade applies. Required for certain upgrades.


</td></tr>
<tr><td>

count


</td><td>

number


</td><td>

_(Optional)_ Number of upgrades to buy at once. Must be a non-negative integer. Defaults to 1 if not specified. For compatibility reasons, upgTarget must be specified, even if it is not used, in order to specify count.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the upgrade is successfully purchased, and false otherwise.

## Remarks

RAM cost: 0.5 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

Spend the hashes generated by your Hacknet Servers on an upgrade. Returns a boolean value - true if the upgrade is successfully purchased, and false otherwise.

The name of the upgrade must be an exact match. The `upgTarget` argument is used for upgrades such as `Reduce Minimum Security`<!-- -->, which applies to a specific server. In this case, the `upgTarget` argument must be the hostname or IP of the server.

## Example


```js
// For upgrades where no target is required
ns.hacknet.spendHashes("Sell for Corporation Funds");
// For upgrades requiring a target
ns.hacknet.spendHashes("Increase Maximum Money", "foodnstuff");
```

